Qwt User's Guide: QwtPickerDragPointMachine Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
QwtPickerDragPointMachine Class Reference

A state machine for point selections. More...

`#include <qwt_picker_machine.h>`

Inheritance diagram for QwtPickerDragPointMachine:

## Public Member Functions
| QwtPickerDragPointMachine ()
| Constructor.
virtual QList< Command > | transition (const QwtEventPattern &, const QEvent *) override
| Transition.
Public Member Functions inherited from QwtPickerMachine
| QwtPickerMachine (SelectionType)
| Constructor.
virtual | ~QwtPickerMachine ()
| Destructor.
void | reset ()
| Set the current state to 0.
int | state () const
| Return the current state.
void | setState (int)
| Change the current state.
SelectionType | selectionType () const
| Return the selection type.

## Additional Inherited Members
Public Types inherited from QwtPickerMachine
enum | SelectionType { NoSelection = -1 , PointSelection , RectSelection , PolygonSelection }
enum | Command { Begin , Append , Move , Remove , End }
| Commands - the output of a state machine. More...

## Detailed Description

A state machine for point selections.

Pressing QwtEventPattern::MouseSelect1 or QwtEventPattern::KeySelect1 starts the selection, releasing QwtEventPattern::MouseSelect1 or a second press of QwtEventPattern::KeySelect1 terminates it.

Definition at line 118 of file qwt_picker_machine.h.

## Constructor & Destructor Documentation

## ◆ QwtPickerDragPointMachine()

QwtPickerDragPointMachine::QwtPickerDragPointMachine | ( |  | ) |

Constructor.

Definition at line 140 of file qwt_picker_machine.cpp.

## Member Function Documentation

## ◆ transition()

QList< QwtPickerMachine::Command > QwtPickerDragPointMachine::transition | ( | const QwtEventPattern & | eventPattern,
|  | const QEvent * | event )
| overridevirtual

Transition.

Implements QwtPickerMachine.

Definition at line 146 of file qwt_picker_machine.cpp.